Project

General

Profile

Actions

Bug #349

open

Bug #465: Issues with the development version

Printing is impossible

Added by Sergey Komkov almost 13 years ago. Updated over 11 years ago.

Status:
Ready for test
Priority:
High
Category:
System
Target version:
Start date:
08/11/2011
Due date:
% Done:

90%

Estimated time:
0:30 h
Spent time:

Description

Print manager prompts for root password if I try to add new printer


Files

DSC-0360.jpg (84.7 KB) DSC-0360.jpg Sergey Komkov, 09/01/2011 12:16 PM

Related issues 1 (0 open1 closed)

Related to DoudouLinux CD - Bug #556: Printer: Granted permissions without asking for passwordClosed05/03/2012

Actions
Actions #1

Updated by Jean-Michel Philippe almost 13 years ago

  • Target version changed from Gondwana update 1 to Squeeze
Actions #2

Updated by Jean-Michel Philippe almost 13 years ago

  • Due date set to 08/29/2011
  • Status changed from New to Confirmed
  • Estimated time set to 1:00 h

It seems system-wide printing right management is lacking.

Actions #3

Updated by Jean-Michel Philippe almost 13 years ago

  • Status changed from Confirmed to Ready for test
  • % Done changed from 0 to 50

Added package cups-pk-helper in the list of packages to be installed, should solve the issue.

Actions #4

Updated by Jean-Michel Philippe over 12 years ago

  • Status changed from Ready for test to Resolved
  • % Done changed from 50 to 100
  • Estimated time changed from 1:00 h to 0:30 h
Actions #5

Updated by Sergey Komkov over 12 years ago

A window displayed with the following prompt
? ???? ????? test page ????? ???? ??????? (see attachment)

Actions #6

Updated by Jean-Michel Philippe over 12 years ago

I think there is an encoding issue in our project management software. Could you please translate the messages in English?

Actions #7

Updated by Sergey Komkov over 12 years ago

Think I tried to use network printer that does require authentication.
I repeat test trying to add USB-connected printer and got the following error: CUPS server error. client_error_doc_format_not_supported

Actions #8

Updated by Jean-Michel Philippe over 12 years ago

I may not have included all the necessary printing packages, since they've changed between Debian Lenny and Squeeze. Unfortunately I don't have any printer at home and can hardly test anything. I'll tell you as soon as I find something that could be missing.

Actions #9

Updated by Jean-Michel Philippe over 12 years ago

  • Project changed from Migration to Squeeze to DoudouLinux CD
  • Category deleted (Programming)
Actions #10

Updated by Jean-Michel Philippe over 12 years ago

  • Due date deleted (08/29/2011)
  • Target version changed from Squeeze to 2012-02
  • Parent task set to #465
Actions #11

Updated by Jean-Michel Philippe almost 12 years ago

  • Category set to System
  • Status changed from Need info to Ready for test
  • Target version changed from 2012-02 to 2012-05

Indeed even if the printing configuration panel can be shown, the user may not be able to add printers (and then to change them too). As indicated in the following bug report:

https://bugs.launchpad.net/ubuntu/+source/policykit-desktop-privileges/+bug/847896

a solution is to remove the package cups-pk-helper and use the lpadmin group instead to allow users access printer administration. Tests were successful! This should also solve #556.

Actions #12

Updated by Jean-Michel Philippe over 11 years ago

  • Target version changed from 2012-05 to 2012-08
Actions

Also available in: Atom PDF